import { Controller } from '@nestjs/common';
import { AppService } from './app.service';
import { EventPattern, MessagePattern } from '@nestjs/microservices';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @MessagePattern('archive.task.create')
  async createArchiveTask(payload) {
    return await this.appService.createArchiveTask(payload);
  }

  @MessagePattern('archive.task.find')
  async findArchiveTask(payload) {
    return await this.appService.findArchiveTask(payload);
  }
}
